## origami 0.7.4

=== debian/changelog ===
origami (0.7.4-1) unstable; urgency=low

  * Uploading to Debian Unstable.

 -- Christer Edwards <christer.edwards@gmail.com>  Mon, 24 Jan 2011 23:48:34 +0100

origami (0.7.4-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Change license to BSD.
    - Add support for -advmethods.
    - Changed size option from -b to -s.
    - Network-status no longer requires root.
  * Switch to 3.0 (quilt) format.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 16 Jun 2010 14:39:43 +0200

origami (0.7.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Update debian/copyright
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Nathan Handler <nhandler@ubuntu.com>  Mon, 08 Feb 2010 17:41:54 -0600

origami (0.7.1.6-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Nathan Handler <nhandler@ubuntu.com>  Mon, 30 Nov 2009 22:16:17 -0600

origami (0.7.1.5-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Nathan Handler <nhandler@ubuntu.com>  Fri, 27 Nov 2009 22:35:28 -0600

origami (0.7.1.1-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Bump Standards.
  * Switch to debhelper 7, drop cdbs.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 04 Nov 2009 18:15:18 +0100

origami (0.7-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * debian/copyright: Update to the last format spec.
  * debian/control: Bump-up Standards.
  * debian/origami.pod:
    - Fix POD errors, this makes lintian happy.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 20 May 2009 15:49:19 +0200

origami (0.6.9-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * debian/control - remove binary dep on acpi-support

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 12 Nov 2008 20:13:48 -0500

origami (0.6.8.3-0ubuntu1) intrepid; urgency=low

  [ Christer ]
  * initial packaging (LP: #209235)

  [ Harald Sitter ]
  * Add needs-packaging bug
  * Change distro series from hardy to intrepid

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 21 Aug 2008 20:32:44 +0200

=== debian/watch ===
version=3
http://zelut.org/projects/origami/origami-([0-9].*)\.tar\.gz

## origami 0.8.0

=== DESCRIPTION ===
Package: origami
Title: Generalized Framework for Cross-Validation
Version: 0.8.0
Authors@R: c(
  person("Jeremy", "Coyle", email = "jeremyrcoyle@gmail.com",
         role = c("aut", "cre", "cph")),
  person("Nima", "Hejazi", email = "nh@nimahejazi.org", role = "ctb"))
Maintainer: Jeremy Coyle <jeremyrcoyle@gmail.com>
Description: Provides a general framework for the application of
    cross-validation schemes to particular functions. By allowing arbitrary
    lists of results, origami accommodates a range of cross-validation
    applications.
Depends: R (>= 3.0.0),
Imports: abind, methods, data.table, future, listenv
Suggests: future.batchtools, testthat, class, rmarkdown, knitr,
        forecast, randomForest
License: GPL-3
URL: https://github.com/jeremyrcoyle/origami
Encoding: UTF-8
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-06-22 22:25:09 UTC; jrcoyle
Author: Jeremy Coyle [aut, cre, cph],
  Nima Hejazi [ctb]
Repository: CRAN
Date/Publication: 2017-06-23 06:40:44 UTC

## origami 1.0.0

=== DESCRIPTION ===
Package: origami
Title: Generalized Framework for Cross-Validation
Version: 1.0.0
Authors@R: c(
  person("Jeremy", "Coyle", email = "jeremyrcoyle@gmail.com",
         role = c("aut", "cre", "cph"),
         comment = c(ORCID = "0000-0002-9874-6649")),
  person("Nima", "Hejazi", email = "nh@nimahejazi.org",
         role = "aut",
         comment = c(ORCID = "0000-0002-7127-2789")),
  person("Ivana", "Malenica", email = "imalenica@berkeley.edu",
         role = "ctb")
  )
Maintainer: Jeremy Coyle <jeremyrcoyle@gmail.com>
Description: Provides a general framework for the application of
    cross-validation schemes to particular functions. By allowing arbitrary
    lists of results, origami accommodates a range of cross-validation
    applications.
Depends: R (>= 3.0.0),
License: GPL-3
URL: http://origami.tlverse.org
BugReports: https://github.com/tlverse/origami/issues
Encoding: UTF-8
Imports: abind, methods, data.table, future, future.apply, listenv
Suggests: future.batchtools, testthat, class, rmarkdown, knitr,
        stringr, forecast, randomForest
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 6.0.1.9000
NeedsCompilation: no
Packaged: 2018-03-06 19:11:36 UTC; jrcoyle
Author: Jeremy Coyle [aut, cre, cph] (<https://orcid.org/0000-0002-9874-6649>),
  Nima Hejazi [aut] (<https://orcid.org/0000-0002-7127-2789>),
  Ivana Malenica [ctb]
Repository: CRAN
Date/Publication: 2018-03-06 19:22:10 UTC

## origami 1.0.1

=== DESCRIPTION ===
Package: origami
Title: Generalized Framework for Cross-Validation
Version: 1.0.1
Authors@R: c(
  person("Jeremy", "Coyle", email = "jeremyrcoyle@gmail.com",
         role = c("aut", "cre", "cph"),
         comment = c(ORCID = "0000-0002-9874-6649")),
  person("Nima", "Hejazi", email = "nh@nimahejazi.org",
         role = "aut",
         comment = c(ORCID = "0000-0002-7127-2789")),
  person("Ivana", "Malenica", email = "imalenica@berkeley.edu",
         role = "ctb",
         comment = c(ORCID = "0000-0002-7404-8088"))
  )
Maintainer: Jeremy Coyle <jeremyrcoyle@gmail.com>
Description: A general framework for the application of cross-validation schemes
    to particular functions. By allowing arbitrary lists of results, origami
    accommodates a range of cross-validation applications.
Depends: R (>= 3.0.0),
License: GPL-3
URL: https://tlverse.org/origami
BugReports: https://github.com/tlverse/origami/issues
Encoding: UTF-8
Imports: abind, methods, data.table, future, future.apply, listenv
Suggests: testthat, class, rmarkdown, knitr, stringr, forecast,
        randomForest
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-05-01 17:46:59 UTC; jrcoyle
Author: Jeremy Coyle [aut, cre, cph] (<https://orcid.org/0000-0002-9874-6649>),
  Nima Hejazi [aut] (<https://orcid.org/0000-0002-7127-2789>),
  Ivana Malenica [ctb] (<https://orcid.org/0000-0002-7404-8088>)
Repository: CRAN
Date/Publication: 2019-05-01 21:50:03 UTC

## origami 1.0.3

=== DESCRIPTION ===
Package: origami
Title: Generalized Framework for Cross-Validation
Version: 1.0.3
Authors@R: c(
    person("Jeremy", "Coyle", email = "jeremyrcoyle@gmail.com",
           role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0002-9874-6649")),
    person("Nima", "Hejazi", email = "nh@nimahejazi.org",
           role = "aut",
           comment = c(ORCID = "0000-0002-7127-2789")),
    person("Ivana", "Malenica", email = "imalenica@berkeley.edu",
           role = "ctb",
           comment = c(ORCID = "0000-0002-7404-8088")),
    person("Rachael", "Phillips", email = "rachaelvphillips@berkeley.edu",
           role = "ctb",
           comment = c(ORCID = "0000-0002-8474-591X"))
  )
Maintainer: Jeremy Coyle <jeremyrcoyle@gmail.com>
Description: A general framework for the application of cross-validation schemes
    to particular functions. By allowing arbitrary lists of results, origami
    accommodates a range of cross-validation applications.
Depends: R (>= 3.0.0),
License: GPL-3
URL: https://tlverse.org/origami
BugReports: https://github.com/tlverse/origami/issues
Encoding: UTF-8
Imports: abind, methods, data.table, assertthat, future, future.apply,
        listenv
Suggests: testthat, class, rmarkdown, knitr, stringr, forecast,
        randomForest
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-16 22:21:08 UTC; nsh
Author: Jeremy Coyle [aut, cre, cph] (<https://orcid.org/0000-0002-9874-6649>),
  Nima Hejazi [aut] (<https://orcid.org/0000-0002-7127-2789>),
  Ivana Malenica [ctb] (<https://orcid.org/0000-0002-7404-8088>),
  Rachael Phillips [ctb] (<https://orcid.org/0000-0002-8474-591X>)
Repository: CRAN
Date/Publication: 2020-01-16 22:40:02 UTC

## origami 1.0.5

=== DESCRIPTION ===
Package: origami
Title: Generalized Framework for Cross-Validation
Version: 1.0.5
Authors@R: c(
    person("Jeremy", "Coyle", email = "jeremyrcoyle@gmail.com",
           role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0002-9874-6649")),
    person("Nima", "Hejazi", email = "nh@nimahejazi.org",
           role = "aut",
           comment = c(ORCID = "0000-0002-7127-2789")),
    person("Ivana", "Malenica", email = "imalenica@berkeley.edu",
           role = "aut",
           comment = c(ORCID = "0000-0002-7404-8088")),
    person("Rachael", "Phillips", email = "rachaelvphillips@berkeley.edu",
           role = "aut",
           comment = c(ORCID = "0000-0002-8474-591X"))
  )
Maintainer: Jeremy Coyle <jeremyrcoyle@gmail.com>
Description: A general framework for the application of cross-validation schemes
    to particular functions. By allowing arbitrary lists of results, origami
    accommodates a range of cross-validation applications. This implementation
    was first described by Coyle and Hejazi (2018) <doi:10.21105/joss.00512>.
Depends: R (>= 3.0.0),
License: GPL-3
URL: https://tlverse.org/origami/
BugReports: https://github.com/tlverse/origami/issues
Encoding: UTF-8
Imports: abind, methods, data.table, assertthat, future, future.apply,
        listenv
Suggests: testthat, class, rmarkdown, knitr, stringr, glmnet, forecast,
        randomForest
VignetteBuilder: knitr
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-09-27 20:05:55 UTC; nsh
Author: Jeremy Coyle [aut, cre, cph] (<https://orcid.org/0000-0002-9874-6649>),
  Nima Hejazi [aut] (<https://orcid.org/0000-0002-7127-2789>),
  Ivana Malenica [aut] (<https://orcid.org/0000-0002-7404-8088>),
  Rachael Phillips [aut] (<https://orcid.org/0000-0002-8474-591X>)
Repository: CRAN
Date/Publication: 2021-09-28 07:40:04 UTC

## origami 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: origami
 Title: Generalized Framework for Cross-Validation
-Version: 1.0.5
+Version: 1.0.7
 Authors@R: c(
     person("Jeremy", "Coyle", email = "jeremyrcoyle@gmail.com",
            role = c("aut", "cre", "cph"),
@@ -30,12 +30,12 @@
 Suggests: testthat, class, rmarkdown, knitr, stringr, glmnet, forecast,
         randomForest
 VignetteBuilder: knitr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 NeedsCompilation: no
-Packaged: 2021-09-27 20:05:55 UTC; nsh
+Packaged: 2022-10-19 22:38:23 UTC; jrcoyle
 Author: Jeremy Coyle [aut, cre, cph] (<https://orcid.org/0000-0002-9874-6649>),
   Nima Hejazi [aut] (<https://orcid.org/0000-0002-7127-2789>),
   Ivana Malenica [aut] (<https://orcid.org/0000-0002-7404-8088>),
   Rachael Phillips [aut] (<https://orcid.org/0000-0002-8474-591X>)
 Repository: CRAN
-Date/Publication: 2021-09-28 07:40:04 UTC
+Date/Publication: 2022-10-19 23:22:36 UTC

## origami 1.2.7%2Breally0.7.4

=== debian/changelog ===
origami (1.2.7+really0.7.4-1.1build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:39:03 +0000

origami (1.2.7+really0.7.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply FTBFS fix from Chris Lamb. (Closes: #839368)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 18:45:53 +0200

origami (1.2.7+really0.7.4-1) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore original origami package which by my mistake was replaced by a
    new, unrelated package (Closes: #773197).

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 15 Dec 2014 16:41:53 -0200

## origami 1.2.7+really0.7.4

=== debian/control ===
Source: origami
Section: science
Priority: optional
Maintainer: Christer Edwards <christer.edwards@gmail.com>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: perl
Standards-Version: 3.8.4
Homepage: http://zelut.org/projects/origami

Package: origami
Architecture: all
Depends: ${misc:Depends}, wget | curl, bash (>=3.2)
Description: command-line management tool for Folding @ Home clients
 origami allows you to install, monitor, archive or restore Folding @
 Home data on your local machine.  It also allows for central 
 deployment, monitoring, archiving, restoration and updating the 
 username and team data via the network to ssh-accessible machines.
 origami supports cron-based scheduling, 32bit or 64bit and network 
 proxy settings.

=== debian/rules ===
#!/usr/bin/make -f
				
%:
	dh $@

override_dh_auto_clean:
	rm -f debian/origami.1

override_dh_auto_build:
	pod2man --section=1 --release=$(VERSION) --center "" \
		debian/origami.pod > debian/origami.1
